<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс GridCommandTable</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classGridCommandTable-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс GridCommandTable</div>  </div>
</div><!--header-->
<div class="contents">

<p>Грид с командами  
 <a href="classGridCommandTable.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:GridCommandTable:</div>
<div class="dyncontent">
<div class="center"><img src="classGridCommandTable__inherit__graph.png" border="0" usemap="#GridCommandTable_inherit__map" alt="Inheritance graph"/></div>
<map name="GridCommandTable_inherit__map" id="GridCommandTable_inherit__map">
<area shape="rect" title="Грид с командами" alt="" coords="5,80,156,107"/>
<area shape="rect" title=" " alt="" coords="37,5,124,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса GridCommandTable:</div>
<div class="dyncontent">
<div class="center"><img src="classGridCommandTable__coll__graph.png" border="0" usemap="#GridCommandTable_coll__map" alt="Collaboration graph"/></div>
<map name="GridCommandTable_coll__map" id="GridCommandTable_coll__map">
<area shape="rect" title="Грид с командами" alt="" coords="5,80,156,107"/>
<area shape="rect" title=" " alt="" coords="37,5,124,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a58b5513a64b04d50aa9a35856808419a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a58b5513a64b04d50aa9a35856808419a">addingCommand</a> ()</td></tr>
<tr class="memdesc:a58b5513a64b04d50aa9a35856808419a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Добавление команд  <a href="classGridCommandTable.html#a58b5513a64b04d50aa9a35856808419a">Подробнее...</a><br /></td></tr>
<tr class="separator:a58b5513a64b04d50aa9a35856808419a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177d27cb9d0785ff93ff48fae35fee9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a177d27cb9d0785ff93ff48fae35fee9f">editCommand</a> (prevName)</td></tr>
<tr class="memdesc:a177d27cb9d0785ff93ff48fae35fee9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение команды  <a href="classGridCommandTable.html#a177d27cb9d0785ff93ff48fae35fee9f">Подробнее...</a><br /></td></tr>
<tr class="separator:a177d27cb9d0785ff93ff48fae35fee9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad040259dd67c368d4a3fe331c714b75e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#ad040259dd67c368d4a3fe331c714b75e">removeRow</a> ()</td></tr>
<tr class="memdesc:ad040259dd67c368d4a3fe331c714b75e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Удаление команды  <a href="classGridCommandTable.html#ad040259dd67c368d4a3fe331c714b75e">Подробнее...</a><br /></td></tr>
<tr class="separator:ad040259dd67c368d4a3fe331c714b75e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe08275c374c921cb9909f8e161eec2e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#abe08275c374c921cb9909f8e161eec2e">getCommandName</a> ()</td></tr>
<tr class="memdesc:abe08275c374c921cb9909f8e161eec2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение имени текущей команды  <a href="classGridCommandTable.html#abe08275c374c921cb9909f8e161eec2e">Подробнее...</a><br /></td></tr>
<tr class="separator:abe08275c374c921cb9909f8e161eec2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f8536e9411ce0a509753d50ee854fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a19f8536e9411ce0a509753d50ee854fb">getisVoiceInput</a> ()</td></tr>
<tr class="memdesc:a19f8536e9411ce0a509753d50ee854fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение флага "это голосовой ввод" текущего элемента  <a href="classGridCommandTable.html#a19f8536e9411ce0a509753d50ee854fb">Подробнее...</a><br /></td></tr>
<tr class="separator:a19f8536e9411ce0a509753d50ee854fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a247c822a4b2d12a81a3468932b6f7de0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a247c822a4b2d12a81a3468932b6f7de0">findByName</a> (cn)</td></tr>
<tr class="memdesc:a247c822a4b2d12a81a3468932b6f7de0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Поиск команд по имени команды  <a href="classGridCommandTable.html#a247c822a4b2d12a81a3468932b6f7de0">Подробнее...</a><br /></td></tr>
<tr class="separator:a247c822a4b2d12a81a3468932b6f7de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d79d516a33bb2ec3dceed3ccbcc569"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#ac9d79d516a33bb2ec3dceed3ccbcc569">getAbsolutePosition</a> (node)</td></tr>
<tr class="memdesc:ac9d79d516a33bb2ec3dceed3ccbcc569"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение глобальных координат элемента  <a href="classGridCommandTable.html#ac9d79d516a33bb2ec3dceed3ccbcc569">Подробнее...</a><br /></td></tr>
<tr class="separator:ac9d79d516a33bb2ec3dceed3ccbcc569"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:ab69062cf303ce61a7dce478c28533034"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#ab69062cf303ce61a7dce478c28533034">table</a></td></tr>
<tr class="memdesc:ab69062cf303ce61a7dce478c28533034"><td class="mdescLeft">&#160;</td><td class="mdescRight">Название таблицы в БД  <a href="classGridCommandTable.html#ab69062cf303ce61a7dce478c28533034">Подробнее...</a><br /></td></tr>
<tr class="separator:ab69062cf303ce61a7dce478c28533034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07bfce02416fd2c28dedb7f10d418f67"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a07bfce02416fd2c28dedb7f10d418f67">gridFormatItemW</a></td></tr>
<tr class="memdesc:a07bfce02416fd2c28dedb7f10d418f67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ширина элемента грида  <a href="classGridCommandTable.html#a07bfce02416fd2c28dedb7f10d418f67">Подробнее...</a><br /></td></tr>
<tr class="separator:a07bfce02416fd2c28dedb7f10d418f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21fed0ada6b5b7552b9ed1ce1d69bef1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a21fed0ada6b5b7552b9ed1ce1d69bef1">gridFormatItemH</a></td></tr>
<tr class="memdesc:a21fed0ada6b5b7552b9ed1ce1d69bef1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Длина элемента грида  <a href="classGridCommandTable.html#a21fed0ada6b5b7552b9ed1ce1d69bef1">Подробнее...</a><br /></td></tr>
<tr class="separator:a21fed0ada6b5b7552b9ed1ce1d69bef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c66d38f8e0776b9c11c45613f65c82a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a0c66d38f8e0776b9c11c45613f65c82a">listFormatItemW</a></td></tr>
<tr class="memdesc:a0c66d38f8e0776b9c11c45613f65c82a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ширина элемента списка  <a href="classGridCommandTable.html#a0c66d38f8e0776b9c11c45613f65c82a">Подробнее...</a><br /></td></tr>
<tr class="separator:a0c66d38f8e0776b9c11c45613f65c82a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684c108764ac4837ddf84ce4041e6c2a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a684c108764ac4837ddf84ce4041e6c2a">listFormatItemH</a></td></tr>
<tr class="memdesc:a684c108764ac4837ddf84ce4041e6c2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Длина элемента списка  <a href="classGridCommandTable.html#a684c108764ac4837ddf84ce4041e6c2a">Подробнее...</a><br /></td></tr>
<tr class="separator:a684c108764ac4837ddf84ce4041e6c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a142163e7d1a98d31eb9e5244a89050b9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a142163e7d1a98d31eb9e5244a89050b9">tableFormatItemW</a></td></tr>
<tr class="memdesc:a142163e7d1a98d31eb9e5244a89050b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ширина элемента таблицы  <a href="classGridCommandTable.html#a142163e7d1a98d31eb9e5244a89050b9">Подробнее...</a><br /></td></tr>
<tr class="separator:a142163e7d1a98d31eb9e5244a89050b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21ffa8917abf051e1a08aa1cd3b652f3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#a21ffa8917abf051e1a08aa1cd3b652f3">tableFormatItemH</a></td></tr>
<tr class="memdesc:a21ffa8917abf051e1a08aa1cd3b652f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Длина элемента таблицы  <a href="classGridCommandTable.html#a21ffa8917abf051e1a08aa1cd3b652f3">Подробнее...</a><br /></td></tr>
<tr class="separator:a21ffa8917abf051e1a08aa1cd3b652f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5d690921a39f8fe98e3d99cfb7c24a2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGridCommandTable.html#ab5d690921a39f8fe98e3d99cfb7c24a2">currentState</a></td></tr>
<tr class="memdesc:ab5d690921a39f8fe98e3d99cfb7c24a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Текущее состояние таблицы (текущее представление - по умолчанию - грид)  <a href="classGridCommandTable.html#ab5d690921a39f8fe98e3d99cfb7c24a2">Подробнее...</a><br /></td></tr>
<tr class="separator:ab5d690921a39f8fe98e3d99cfb7c24a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Грид с командами </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00012">12</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a58b5513a64b04d50aa9a35856808419a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58b5513a64b04d50aa9a35856808419a">&#9670;&nbsp;</a></span>addingCommand()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::addingCommand </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Добавление команд </p>

</div>
</div>
<a id="a177d27cb9d0785ff93ff48fae35fee9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a177d27cb9d0785ff93ff48fae35fee9f">&#9670;&nbsp;</a></span>editCommand()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::editCommand </td>
          <td>(</td>
          <td class="paramtype">prevName&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Изменение команды </p>

</div>
</div>
<a id="a247c822a4b2d12a81a3468932b6f7de0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a247c822a4b2d12a81a3468932b6f7de0">&#9670;&nbsp;</a></span>findByName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::findByName </td>
          <td>(</td>
          <td class="paramtype">cn&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Поиск команд по имени команды </p>

</div>
</div>
<a id="ac9d79d516a33bb2ec3dceed3ccbcc569"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9d79d516a33bb2ec3dceed3ccbcc569">&#9670;&nbsp;</a></span>getAbsolutePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::getAbsolutePosition </td>
          <td>(</td>
          <td class="paramtype">node&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение глобальных координат элемента </p>

</div>
</div>
<a id="abe08275c374c921cb9909f8e161eec2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe08275c374c921cb9909f8e161eec2e">&#9670;&nbsp;</a></span>getCommandName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::getCommandName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение имени текущей команды </p>

</div>
</div>
<a id="a19f8536e9411ce0a509753d50ee854fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19f8536e9411ce0a509753d50ee854fb">&#9670;&nbsp;</a></span>getisVoiceInput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::getisVoiceInput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение флага "это голосовой ввод" текущего элемента </p>

</div>
</div>
<a id="ad040259dd67c368d4a3fe331c714b75e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad040259dd67c368d4a3fe331c714b75e">&#9670;&nbsp;</a></span>removeRow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GridCommandTable::removeRow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Удаление команды </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="ab5d690921a39f8fe98e3d99cfb7c24a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5d690921a39f8fe98e3d99cfb7c24a2">&#9670;&nbsp;</a></span>currentState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string GridCommandTable::currentState</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Текущее состояние таблицы (текущее представление - по умолчанию - грид) </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00043">43</a></p>

</div>
</div>
<a id="a21fed0ada6b5b7552b9ed1ce1d69bef1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21fed0ada6b5b7552b9ed1ce1d69bef1">&#9670;&nbsp;</a></span>gridFormatItemH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandTable::gridFormatItemH</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Длина элемента грида </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00033">33</a></p>

</div>
</div>
<a id="a07bfce02416fd2c28dedb7f10d418f67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07bfce02416fd2c28dedb7f10d418f67">&#9670;&nbsp;</a></span>gridFormatItemW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandTable::gridFormatItemW</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ширина элемента грида </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00031">31</a></p>

</div>
</div>
<a id="a684c108764ac4837ddf84ce4041e6c2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a684c108764ac4837ddf84ce4041e6c2a">&#9670;&nbsp;</a></span>listFormatItemH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandTable::listFormatItemH</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Длина элемента списка </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00037">37</a></p>

</div>
</div>
<a id="a0c66d38f8e0776b9c11c45613f65c82a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c66d38f8e0776b9c11c45613f65c82a">&#9670;&nbsp;</a></span>listFormatItemW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandTable::listFormatItemW</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ширина элемента списка </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00035">35</a></p>

</div>
</div>
<a id="ab69062cf303ce61a7dce478c28533034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab69062cf303ce61a7dce478c28533034">&#9670;&nbsp;</a></span>table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string GridCommandTable::table</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Название таблицы в БД </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00015">15</a></p>

</div>
</div>
<a id="a21ffa8917abf051e1a08aa1cd3b652f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21ffa8917abf051e1a08aa1cd3b652f3">&#9670;&nbsp;</a></span>tableFormatItemH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandTable::tableFormatItemH</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Длина элемента таблицы </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00041">41</a></p>

</div>
</div>
<a id="a142163e7d1a98d31eb9e5244a89050b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a142163e7d1a98d31eb9e5244a89050b9">&#9670;&nbsp;</a></span>tableFormatItemW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GridCommandTable::tableFormatItemW</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ширина элемента таблицы </p>

<p class="definition">См. определение в файле <a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a> строка <a class="el" href="GridCommandTable_8qml_source.html#l00039">39</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="GridCommandTable_8qml_source.html">GridCommandTable.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
